USERINFO(8)

NAME
userinfo - displays user information

SYNOPSIS
userinfo [-ev] user

DESCRIPTION
The userinfo utility retrieves the user information from the system.

The following command line options are recognised:

-e  return 0 if the user exists, and non-zero if the user does not exist, on the system. No information is displayed. This form of the command is useful for scripts which need to check whether a particular user name or uid is already in use on the system.

-v  perform any actions in a verbose manner.

The user argument may either be a user's name, or a uid.

The userinfo utility exits 0 if the user name or uid exists, and non-zero if it does not.

FILES
/etc/usermgmt.conf

SEE ALSO
passwd(5)

HISTORY
The userinfo utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

AUTHOR
The userinfo utility was written by Alistair G. Crooks (agc@netbsd.org).